Skip to main content
POST
/
v1
/
tags
/
{tag}
/
federation
Initiate tag federation
curl --request POST \
  --url https://idaas.yourflexpay.com/api/v1/tags/{tag}/federation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "secondaryTag": "<string>",
  "verificationMethod": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "errorCode": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "primaryTag": "<string>",
    "links": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "linkedTag": "<string>",
        "status": "PENDING",
        "verifiedBy": "<string>",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "errors": [
    "<string>"
  ],
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.

Path Parameters

tag
string
required

Body

application/json
secondaryTag
string
required
verificationMethod
string
required

Response

200 - */*

OK

success
boolean
message
string
errorCode
string
data
object
errors
string[]
timestamp
string<date-time>